/*
 * @Author: your name
 * @Date: 2021-11-18 17:30:38
 * @LastEditTime: 2021-11-23 18:03:43
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /ansu-business/src/router/index.js
 */
import Vue from 'vue'
import Router from "vue-router"
const originalPush = Router.prototype.push

Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
Vue.use(Router);

import Layout from "@/views/Layout"
const router = [
    {
        path: "/",
        name: "Layout",
        title: "外框",
        component: Layout,
        redirect: '/forecastShipping',
        meta: {title: '首页'},
        children: [
            {
                path: '/forecastShipping',
                name: "ForecastShipping",
                title: "预报寄件",
                hide: false,
                icon: 'container',
                component: resolve => require(['@/views/ForecastShipping'], resolve),
                meta: {title: '预报寄件'}
            },
            {
                path: '/waybill',
                name: "Waybill",
                title: "运单管理",
                icon: 'database',
                hide: false,
                component: resolve => require(['@/views/Waybill'], resolve),
                meta: {title: '运单管理'}
            },
            {
                path: '/billing',
                name: "Billing",
                title: "账单管理",
                icon: 'profile',
                hide: false,
                component: resolve => require(['@/views/Billing'], resolve),
                meta: {title: '账单管理'},
                children: [
                    {
                        path: '/billing/_details',
                        name: "Billing_details",
                        title: "账单管理-详情",
                        icon: 'profile', 
                        hide: true,
                        component: resolve => require(['@/views/Billing/_details'], resolve),
                        meta: {title: '账单管理-详情'},
                    }
                ]
            },
            {
                path: '/mySettings',
                name: "MySettings",
                title: "我的设置",
                hide: false,
                icon: 'setting',
                component: resolve => require(['@/views/MySettings'], resolve),
                meta: {title: '我的设置'}
            }
        ]
    },
    {
        path: "/login",
        name: "Login",
        title: "登录", 
        component: resolve => require(['@/views/Login'], resolve)
    }
]

export default new Router({
    routes: router
})